package com.yihu.jw.entity.base.area;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Entity
@Table(name = "base_drug_store")
public class BaseDrugStoreDO extends UuidIdentityEntityWithOperator {
    private String hospitalCode;
    private String hospitalName;
    private String provinceCode;
    private String provinceName;
    private String cityCode;
    private String cityName;
    private String townCode;
    private String townName;
    private String longitude;
    private String latitude;
    private String address;
    private String drugStoreCode;
    private String drugStoreName;
    private Integer isDel;
    private String remark;
    private String drugImg;
    private String openControl;
    @Transient
    private String openControlName;
    private String isUsed;
    @Transient
    private String isUsedName;



    @Transient
    private List<BaseDrugStoreTimeDO> baseDrugStoreTimeDOlist;
    /*private String hisCode;

    public String getHisCode() {
        return hisCode;
    }

    public void setHisCode(String hisCode) {
        this.hisCode = hisCode;
    }*/
    @Column(name = "open_control_name")
    public String getOpenControlName() {
        return openControlName;
    }

    public void setOpenControlName(String openControlName) {
        this.openControlName = openControlName;
    }
    @Column(name = "is_used_name")
    public String getIsUsedName() {
        return isUsedName;
    }

    public void setIsUsedName(String isUsedName) {
        this.isUsedName = isUsedName;
    }

    @Transient
    private double distance ;
    @Column(name = "is_used")
    public String getIsUsed() {
        return isUsed;
    }

    public void setIsUsed(String isUsed) {
        this.isUsed = isUsed;
    }

    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    @Column(name = "drug_img")
    public String getDrugImg() {
        return drugImg;
    }

    public void setDrugImg(String drugImg) {
        this.drugImg = drugImg;
    }
    @Column(name = "open_control")
    public String getOpenControl() {
        return openControl;
    }

    public void setOpenControl(String openControl) {
        this.openControl = openControl;
    }
    @Transient
    public List<BaseDrugStoreTimeDO> getBaseDrugStoreTimeDOlist() {
        return baseDrugStoreTimeDOlist;
    }

    public void setBaseDrugStoreTimeDOlist(List<BaseDrugStoreTimeDO> baseDrugStoreTimeDOlist) {
        this.baseDrugStoreTimeDOlist = baseDrugStoreTimeDOlist;
    }

    @Transient
    public double getDistance() {
        return distance;
    }

    public void setDistance(double distance) {
        this.distance = distance;
    }

    @Column(name = "address")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Column(name = "hospital_code")
    public String getHospitalCode() {
        return hospitalCode;
    }

    public void setHospitalCode(String hospitalCode) {
        this.hospitalCode = hospitalCode;
    }
    @Column(name = "hospital_name")
    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }
    @Column(name = "province_code")
    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }
    @Column(name = "province_name")
    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }
    @Column(name = "city_code")
    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }
    @Column(name = "city_name")
    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }
    @Column(name = "town_code")
    public String getTownCode() {
        return townCode;
    }

    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }
    @Column(name = "town_name")
    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }
    @Column(name = "longitude")
    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }
    @Column(name = "latitude")
    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
    @Column(name = "drug_store_code")
    public String getDrugStoreCode() {
        return drugStoreCode;
    }

    public void setDrugStoreCode(String drugStoreCode) {
        this.drugStoreCode = drugStoreCode;
    }
    @Column(name = "drug_store_name")
    public String getDrugStoreName() {
        return drugStoreName;
    }

    public void setDrugStoreName(String drugStoreName) {
        this.drugStoreName = drugStoreName;
    }
    @Column(name = "is_del")
    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }
}
